Docs
Product Repository APIFilter

Delete a filter by IDBeta

Security groups:Rule Engineers
DELETE
/products/filters/{filterId}

Deletes a Filter resource identified by the provided ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

filterId*string

The unique UUID identifier of the Filter. Must be a valid UUID format.

FormatUUID

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/products/filters/string"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}